Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.location.csv
Class CSVLocationHandler.DefaultLocationDecoder

    java.lang.Object
      com.bbn.openmap.layer.location.csv.CSVLocationHandler.DefaultLocationDecoder

All Implemented Interfaces:
  CSVLocationHandler.TokenDecoder

Enclosing class:
  CSVLocationHandler

public class CSVLocationHandler.DefaultLocationDecoder
extends java.lang.Object
implements CSVLocationHandler.TokenDecoder

Field Summary
`protected java.lang.String` | `iconURL`
`protected float` | `lat`
`protected float` | `lon`
`protected java.lang.String` | `name`

Constructor Summary
`CSVLocationHandler.DefaultLocationDecoder()`

Method Summary
`void` | `createAndAddObjectFromTokens(DataOrganizer organizer)`
`void` | `handleToken(java.lang.Object token, int i)`
`void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### lat

    protected float lat

### lon

    protected float lon

### iconURL

    protected java.lang.String iconURL

Constructor Detail

### CSVLocationHandler.DefaultLocationDecoder

    public CSVLocationHandler.DefaultLocationDecoder()

Method Detail

### reset

    public void reset()

### handleToken

    public void handleToken(java.lang.Object token,
                            int i)

  Specified by:
    `handleToken` in interface `CSVLocationHandler.TokenDecoder`

### createAndAddObjectFromTokens

    public void createAndAddObjectFromTokens(DataOrganizer organizer)

  Specified by:
    `createAndAddObjectFromTokens` in interface `CSVLocationHandler.TokenDecoder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details